using IRaCIS.Application.Contracts;

namespace IRaCIS.Application.Interfaces
{
    public interface ICroService
    {
        Task<PageOutput<CROCompanyDTO>> GetCroList(CROCompanyQueryDTO queryModel);
        Task<IEnumerable<CroSelectDTO>> GetAllCROList(Guid? croId);
        Task<IResponseOutput> AddOrUpdateCro(CROCompanyDTO addCroCompanyViewModel);
        Task<IResponseOutput> DeleteCro(Guid croCompanyId);
    }
}